$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $(".tbody").on("keyup change blur focus", ".qty, .rate, .amount", calDetail);
//    $(".tbody").on("focus", ".qty", autoadd);
    $("body").on(" blur change", ".vouchdt", getvoucher);
    $("body").on("blur", ".rate", autoaddrow);
    $("body").on("blur", '.prodcode', getProd);
    
     $("body").on("click", "#submit ,#cancel", hide_but);

function autoaddrow(){
    AddRows();
}
    function hide_but() {
        $("#ssubmit").hide();
        $("#scancel").hide();
    }
    
function getProd() {
        var tr = $(this).closest("tr"),
                prodcode = tr.find(".prodcode").val(),
                data = {prodcode: prodcode};
        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "getproddetail.php",
            data: data,
            success: function (response) {
                if (response != '') {
                    $.each(response, function () {
                        var success = this.success;
                        if (success == false) {
                            alert("No Product Found");
                            tr.find(".prodcode").val("");
                            tr.find(".prodname").val("");
                            tr.find(".unit").val("");
                            tr.find(".prodcode").focus();
                        } else {
                            tr.find(".prodname").val(this.name);
                            tr.find(".unit").val(this.unit);
                            tr.find(".rate").val(this.rate);
                        }
                    });
                } else {
                    alert('No Record Found for this Prodcode');
                    $('.prodcode').focus();
                }

            }
        });
    }
    
    
    function autoaddrow() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    } 

    function getvoucher() {
        var date = new Date($(".vouchdt").val()),
                month = (date.getMonth() + 1).toString(),
                vouchno = $('.vouchno').val(),
                voucher = '0' + month + vouchno;
        
        $('.monno').val(month);
        $('.voucher').val(voucher);

    }



    function calDetail() {
        var tr = $(this).closest("tr"),
                qty = tr.find(".qty").val(),
                rate = tr.find(".rate").val(),
                amount = (rate * qty).toFixed(2);

        tr.find(".amount").val(amount);
        var totamt = 0;
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totamt += parseFloat(this.value);
            }
        });
        $(".totamount").val(totamt);
    }

    function remove() {
        $(this).closest("tr").remove();
        calDetail();
        
    }

    $("#addnew").click(function () {
        AddRows();
    });

    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('dam_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }


//    function itemCal() {
//        var tr = $(this).closest("tr"),
//                val = 0, val1 = 0;
////        var taka = tr.find(".taka").val();
//        var trqty = tr.find(".trqty").val();
//        var rate = tr.find(".rate").val();
//        var amount = trqty * rate;
//        tr.find(".amount").val(amount);
//
//        $(".trqty").each(function () {
//            if (!isNaN(this.value) && this.value.length != 0) {
//                val1 += parseFloat(this.value);
//            }
//        });
//        var totq = parseFloat(val1);
//        $('.totqty').val(totq);
//
//        $(".amount").each(function () {
//            if (!isNaN(this.value) && this.value.length != 0) {
//                val += parseFloat(this.value);
//            }
//        });
//        var tot = parseFloat(val);
//        $('.totamt').val(tot);
////        mainbCal();
//    }

//    function mainbCal() {
//        var tot = 0;
//        var val = 0;
//
//        $(".amount").each(function () {
//            if (!isNaN(this.value) && this.value.length != 0) {
//                val += parseFloat(this.value);
//            }
//        });
//        tot = parseFloat(val);
//        $('.subtotal').val(tot);
//
//        var discperc = $(".discperc").val();
//        var subtotal = $(".subtotal").val();
//        var totdisc = subtotal * discperc / 100;
//        $(".discount").val(totdisc);
//
//
//        var netamt = subtotal - totdisc;
//        if (isNaN(netamt)) {
//            var netamt = subtotal - totdisc;
//            $(".netamt").val(netamt);
//        } else {
//            $(".netamt").val(netamt);
//        }
//    }

//    $(document).keydown(function (event) {
//        //19 for Mac Command+S
//        if (!(String.fromCharCode(event.which).toLowerCase() == 's' && event.altKey) && !(event.which == 19))
//            return true;
//        //alert("Ctrl-s pressed");
//        $("#submit").click();
//        event.preventDefault();
//        return false;
//    });
});